<?php
/*
Plugin Name: TinyMCE
Version: 1.7.a
Description: WYSIWYG editor.
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=201
Author: P@t
Author URI: http://www.gauchon.com
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('TINYMCE_PATH' , PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');

function tinymce_script()
{
	global $template, $lang, $user;
	
	include(get_language_filepath('plugin.lang.php', TINYMCE_PATH));
	$user_lang = substr($user['language'], 0, 2);
	
	$template->assign_vars(array('TINYMCE_PATH' => TINYMCE_PATH . 'tinymce/',
								'TINYMCE_LANG' => (file_exists(TINYMCE_PATH . 'tinymce/langs/' . $user_lang . '.js')) ? $user_lang : 'en'));
	
	$template->set_filename('tinymce_script', TINYMCE_PATH . 'tinymce_script.tpl');
	$template->assign_var_from_handle('TINYMCE_SCRIPT', 'tinymce_script');
	
	$template->set_filename('tinymce_control', TINYMCE_PATH . 'tinymce_control.tpl');
	$template->assign_var_from_handle('TINYMCE_CONTROL', 'tinymce_control');
}

add_event_handler('tinymce', 'tinymce_script');

?>